## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate hickory-proto

Name:           rust-hickory-proto
Version:        0.24.0
Release:        %autorelease
Summary:        Hickory DNS is a safe and secure DNS library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/hickory-proto
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump ring dependency from 0.16 to 0.17
# * bump h3 dependency from 0.0.2 to 0.0.3
# * bump h3-quinn dependency from 0.0.3 to 0.0.4
# * remove unused tracing-subscriber dev-dependency
# * add missing "tokio/io-util" dependency for the "tokio-runtime" feature
Patch:          hickory-proto-fix-metadata.diff
# * backported patch to port from ring 0.16 to 0.17:
#   https://github.com/hickory-dns/hickory-dns/commit/b0c0566
Patch:          0001-port-to-ring-0.17.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Hickory DNS is a safe and secure DNS library. This is the foundational
DNS protocol library for all Hickory DNS projects.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "bytes" feature of the "%{crate}" crate.

%files       -n %{name}+bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-h3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-h3-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-h3" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-h3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-quic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-quic-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-quic" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-quic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-ring-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-ring" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+h2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+h2-devel %{_description}

This package contains library source intended for building other packages which
use the "h2" feature of the "%{crate}" crate.

%files       -n %{name}+h2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+h3-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+h3-devel %{_description}

This package contains library source intended for building other packages which
use the "h3" feature of the "%{crate}" crate.

%files       -n %{name}+h3-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+h3-quinn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+h3-quinn-devel %{_description}

This package contains library source intended for building other packages which
use the "h3-quinn" feature of the "%{crate}" crate.

%files       -n %{name}+h3-quinn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http-devel %{_description}

This package contains library source intended for building other packages which
use the "http" feature of the "%{crate}" crate.

%files       -n %{name}+http-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mdns-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mdns-devel %{_description}

This package contains library source intended for building other packages which
use the "mdns" feature of the "%{crate}" crate.

%files       -n %{name}+mdns-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quinn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quinn-devel %{_description}

This package contains library source intended for building other packages which
use the "quinn" feature of the "%{crate}" crate.

%files       -n %{name}+quinn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-pemfile-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-pemfile-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-pemfile" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-pemfile-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-config-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-config" feature of the "%{crate}" crate.

%files       -n %{name}+serde-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+socket2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socket2-devel %{_description}

This package contains library source intended for building other packages which
use the "socket2" feature of the "%{crate}" crate.

%files       -n %{name}+socket2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+testing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+testing-devel %{_description}

This package contains library source intended for building other packages which
use the "testing" feature of the "%{crate}" crate.

%files       -n %{name}+testing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+text-parsing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+text-parsing-devel %{_description}

This package contains library source intended for building other packages which
use the "text-parsing" feature of the "%{crate}" crate.

%files       -n %{name}+text-parsing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-runtime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-runtime-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-runtime" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-runtime-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+webpki-roots-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+webpki-roots-devel %{_description}

This package contains library source intended for building other packages which
use the "webpki-roots" feature of the "%{crate}" crate.

%files       -n %{name}+webpki-roots-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.24.0-2
- Bump h3 dependency to 0.0.3 and h3-quinn dependency to 0.0.4

* Tue Dec 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.24.0-1
- Initial import (#2254532)
## END: Generated by rpmautospec
